package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.ImSendTypeEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * 对应数据库表(student_course_homework):
 */
public class StudentCourseHomework {

	/**  */
	private Long id;

	@ApiModelProperty(value = "学生ID",required = false)
	private Integer userId;

	@ApiModelProperty(value = "用户名")
	private String userName;

	@ApiModelProperty(value = "手机号")
	private String phone;

	@ApiModelProperty(value = "头像")
	private String avatar;
	
	/**  */
	private Long courseHomeworkId;

	private Long courseScheduleId;
	
	private CourseHomework courseHomework = new CourseHomework();
	
	/** 作品附件 */
	private String attachments;
	
	/** 评分 */
	private Integer score;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private boolean extra;

	private Date submitTime;

	private ImSendTypeEnum msgType = ImSendTypeEnum.TXT;

	public ImSendTypeEnum getMsgType() {
		return msgType;
	}

	public void setMsgType(ImSendTypeEnum msgType) {
		this.msgType = msgType;
	}

	public Date getSubmitTime() {
		return submitTime;
	}

	public void setSubmitTime(Date submitTime) {
		this.submitTime = submitTime;
	}

	public boolean isExtra() {
		return extra;
	}

	public void setExtra(boolean extra) {
		this.extra = extra;
	}

	public String getAvatar() {
		return avatar;
	}

	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}

	@ApiModelProperty(value = "备注",required = false)
	private String remark;

	@ApiModelProperty(value = "提交状态",required = false)
	private YesOrNoEnum status;

	@ApiModelProperty(value = "是否已经回复",required = false)
	private YesOrNoEnum isReplied;

	private Integer isRepliedTimely;

	@ApiModelProperty(value = "是否已查看")
	private YesOrNoEnum isView;

	public Integer getIsRepliedTimely() {
		return isRepliedTimely;
	}

	public void setIsRepliedTimely(Integer isRepliedTimely) {
		this.isRepliedTimely = isRepliedTimely;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public Long getCourseScheduleId() {
		return courseScheduleId;
	}

	public void setCourseScheduleId(Long courseScheduleId) {
		this.courseScheduleId = courseScheduleId;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public YesOrNoEnum getIsView() {
		return isView;
	}

	public void setIsView(YesOrNoEnum isView) {
		this.isView = isView;
	}

	public YesOrNoEnum getIsReplied() {
		return isReplied;
	}

	public void setIsReplied(YesOrNoEnum isReplied) {
		this.isReplied = isReplied;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public YesOrNoEnum getStatus() {
		return status;
	}

	public void setStatus(YesOrNoEnum status) {
		this.status = status;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public void setCourseHomeworkId(Long courseHomeworkId){
		this.courseHomeworkId = courseHomeworkId;
	}
	
	public Long getCourseHomeworkId(){
		return this.courseHomeworkId;
	}
			
	public void setAttachments(String attachments){
		this.attachments = attachments;
	}
	
	public String getAttachments(){
		return this.attachments;
	}
			
	public void setScore(Integer score){
		this.score = score;
	}
	
	public Integer getScore(){
		return this.score;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public CourseHomework getCourseHomework() {
		return courseHomework;
	}

	public void setCourseHomework(CourseHomework courseHomework) {
		this.courseHomework = courseHomework;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}
}
